|  | Home

# QtCursorEditorFactory Class Reference

The QtCursorEditorFactory class provides QComboBox widgets for properties created by QtCursorPropertyManager objects. More...

     #include <QtCursorEditorFactory>

Inherits QtAbstractEditorFactory<QtCursorPropertyManager>.

- List of all members, including inherited members

### Public Functions

- QtCursorEditorFactory ( QObject * parent = 0 )
- ~QtCursorEditorFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtCursorEditorFactory class provides QComboBox widgets for properties created by QtCursorPropertyManager objects.

See also QtAbstractEditorFactory and QtCursorPropertyManager.

## Member Function Documentation

### QtCursorEditorFactory::QtCursorEditorFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtCursorEditorFactory::~QtCursorEditorFactory ()

Destroys this factory, and all the widgets it has created.